Debian Bug report logs - #502101
pngcrush: Please restrict output to a sensible size

version graph

Package: pngcrush; Maintainer for pngcrush is Kapil Hari Paranjape <kapil@debian.org>; Source for pngcrush is src:pngcrush.

Reported by: Thomas Weber <thomas.weber.mail@gmail.com>

Date: Mon, 13 Oct 2008 15:21:01 UTC

Severity: wishlist

Tags: upstream

Found in version pngcrush/1.6.7-1

Forwarded to http://sourceforge.net/p/pmt/feature-requests/14/

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kapil Hari Paranjape <kapil@debian.org>:
Bug#502101; Package pngcrush. (Mon, 13 Oct 2008 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <thomas.weber.mail@gmail.com>:
New Bug report received and forwarded. Copy sent to Kapil Hari Paranjape <kapil@debian.org>. (Mon, 13 Oct 2008 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Weber <thomas.weber.mail@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pngcrush: Please restrict output to a sensible size
Date: Mon, 13 Oct 2008 17:19:27 +0200
Package: pngcrush
Version: 1.6.7-1
Severity: normal

Hi, 

this is the output of 
$ pngcrush file.png

============================================================================

 | pngcrush 1.6.6
 |    Copyright (C) 1998-2002,2006-2008 Glenn Randers-Pehrson
 |    Copyright (C) 2005      Greg Roelofs
 | This is a free, open-source program.  Permission is irrevocably
 | granted to everyone to use this version of pngcrush without
 | payment of any fee.
 | Executable name is pngcrush
 | It was built with libpng version 1.2.27, and is
 | running with  libpng version 1.2.27 - April 29, 2008

 |    Copyright (C) 1998-2004,2006-2008 Glenn Randers-Pehrson,
 |    Copyright (C) 1996, 1997 Andreas Dilger,
 |    Copyright (C) 1995, Guy Eric Schalnat, Group 42 Inc.,
 | and zlib version 1.2.3.3, Copyright (C) 1998-2002 (or later),
 |    Jean-loup Gailly and Mark Adler.
 | It was compiled with gcc version 4.3.1 and gas version 2.18.0.20080103.


Copyright (C) 1998-2002,2006-2008 Glenn Randers-Pehrson (glennrp@users.sf.net)
Copyright (C) 2005      Greg Roelofs

DISCLAIMER: The pngcrush computer program is supplied "AS IS".
The Author disclaims all warranties, expressed or implied, including,
without limitation, the warranties of merchantability and of fitness
for  any purpose.  The Author assumes no liability for direct, indirect,
incidental, special, exemplary, or consequential damages, which may
result from the use of the computer program, even if advised of the
possibility of such damage.  There is no warranty against interference
with your enjoyment of the computer program or against infringement.
There is no warranty that my efforts or the computer program will
fulfill any of your particular purposes or needs.  This computer
program is provided with all faults, and the entire risk of satisfactory
quality, performance, accuracy, and effort is with the user.

LICENSE: Permission is hereby irrevocably granted to everyone to use,
copy, modify, and distribute this computer program, or portions hereof,
purpose, without payment of any fee, subject to the following
restrictions:

1. The origin of this binary or source code must not be misrepresented.

2. Altered versions must be plainly marked as such and must not be
misrepresented as being the original binary or source.

3. The Copyright notice, disclaimer, and license may not be removed
or altered from any source, binary, or altered source distribution.


usage: pngcrush [options] infile.png outfile.png
       pngcrush -e ext [other options] files.png ...
       pngcrush -d dir [other options] files.png ...
options:
      -already already_crushed_size [e.g., 8192]
    -bit_depth depth (bit_depth to use in output file)
        -brute (use brute-force: try 126 different methods [11-136])
            -c color_type of output file [0, 2, 4, or 6]
            -d directory_name (where output files will go)
 -double_gamma (used for fixing gamma in PhotoShop 5.0/5.02 files)
            -e extension  (used for creating output filename)
            -f user_filter [0-5]
          -fix (fix otherwise fatal conditions such as bad CRCs)
        -force (write a new output file even if larger than input)
            -g gamma (float or fixed*100000, e.g., 0.45455 or 45455)
      -huffman (use only zlib strategy 2, Huffman-only)
         -iccp length "Profile Name" iccp_file
         -itxt b[efore_IDAT]|a[fter_IDAT] "keyword"
         -keep chunk_name
            -l zlib_compression_level [0-9]
         -loco ("loco crush" truecolor PNGs)
            -m method [0 through 200]
          -max maximum_IDAT_size [default 8192]
          -mng (write a new MNG, do not crush embedded PNGs)
  -nofilecheck (do not check for infile.png == outfile.png)
            -n (no save; does not do compression or write output PNG)
     -plte_len n (truncate PLTE)
            -q (quiet)
       -reduce (do lossless color-type or bit-depth reduction)
          -rem chunkname (or "alla" or "allb")
-replace_gamma gamma (float or fixed*100000) even if gAMA is present.
          -res dpi
          -rle (use only zlib strategy 3, RLE-only)
         -save (keep all copy-unsafe chunks)
         -srgb [0, 1, 2, or 3]
         -text b[efore_IDAT]|a[fter_IDAT] "keyword" "text"
   -trns_array n trns[0] trns[1] .. trns[n-1]
         -trns index red green blue gray
            -v (display more detailed information)
      -version (display the pngcrush version)
            -w compression_window_size [32, 16, 8, 4, 2, 1, 512]
            -z zlib_strategy [0, 1, 2, or 3]
         -zmem zlib_compression_mem_level [1-9, default 9]
        -zitxt b[efore_IDAT]|a[fter_IDAT] "keyword"
         -ztxt b[efore_IDAT]|a[fter_IDAT] "keyword" "text"
            -h (help and legal notices)
            -p (pause)
============================================================================

Can this please be cut back such that I have a chance of actually understanding
whether I did something wrong?

Thanks
  Thomas

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (700, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pngcrush depends on:
ii  libc6                  2.7-14            GNU C Library: Shared libraries
ii  libpng12-0             1.2.27-2          PNG library - runtime
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

pngcrush recommends no packages.

pngcrush suggests no packages.

-- no debconf information




Severity set to `wishlist' from `normal' Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kapil Hari Paranjape <kapil@debian.org>:
Bug#502101; Package pngcrush. (Tue, 14 Oct 2008 05:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to Kapil Hari Paranjape <kapil@debian.org>. (Tue, 14 Oct 2008 05:39:02 GMT) Full text and rfc822 format available.

Message #12 received at 502101@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: Thomas Weber <thomas.weber.mail@gmail.com>, 502101@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#502101: pngcrush: Please restrict output to a sensible size
Date: Tue, 14 Oct 2008 11:05:22 +0530
[Message part 1 (text/plain, inline)]
tags 502101 + upstream wontfix
thanks

Hello,

On Mon, 13 Oct 2008, Thomas Weber wrote:
> this is the output of 
> $ pngcrush file.png

This is the relevant portion of the output:

> usage: pngcrush [options] infile.png outfile.png
>        pngcrush -e ext [other options] files.png ...
>        pngcrush -d dir [other options] files.png ...

You either need to specify an output png file name or an output
extension name or an output directory name. "pngcrush" will not
overwrite the infile.png specified on the command line.

> Can this please be cut back such that I have a chance of actually
> understanding whether I did something wrong?

Note that the upstream package does not come with a man page and that
this display is supposed to take its place. The Debian package _does_
have a man page thanks to the work done by David Whedon.

Moreover, it seems that such a display is the *deliberate* intention
of the upstream author. In such a case, I do not wish to abuse the
copyright of the upstream author by making a change to the source to
skip it.

Finally, it is possible to remove the display entirely during runs of
the program by using the "-q" option.

Hence, I hope that the tags that I have attached to this bug report
are understandable.

Regards,

Kapil.
--

[signature.asc (application/pgp-signature, inline)]

Tags added: upstream, wontfix Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. (Tue, 14 Oct 2008 05:39:03 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Zack Weinberg <zackw@panix.com> to control@bugs.debian.org. (Thu, 26 Sep 2013 21:21:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sourceforge.net/p/pmt/feature-requests/14/'. Request was from Zack Weinberg <zackw@panix.com> to control@bugs.debian.org. (Thu, 26 Sep 2013 21:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kapil Hari Paranjape <kapil@debian.org>:
Bug#502101; Package pngcrush. (Thu, 26 Sep 2013 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zack Weinberg <zackw@panix.com>:
Extra info received and forwarded to list. Copy sent to Kapil Hari Paranjape <kapil@debian.org>. (Thu, 26 Sep 2013 21:36:05 GMT) Full text and rfc822 format available.

Message #23 received at 502101@bugs.debian.org (full text, mbox):

From: Zack Weinberg <zackw@panix.com>
To: control@bugs.debian.org, 502101@bugs.debian.org
Subject: I don't see why we shouldn't at least *ask* Glenn what he thinks about this one
Date: Thu, 26 Sep 2013 17:18:07 -0400
tags 502101 = upstream
forwarded 502101 http://sourceforge.net/p/pmt/feature-requests/14/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:24:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.